<?php

header("Content-type: application/msword; name='word'");
header("Content-Disposition: filename=informeventas.doc");
header("Pragma: no-cache");
header("Expires: 0");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SIVI</title>
</head>
<body>
<?php

$fechai=$_REQUEST["fechai"];  
$fechaf=$_REQUEST["fechaf"];  

if($fechai<>"" && $fechaf<>""){$sqlfecha=" and fecsis between '".$fechai."' and '".$fechaf."'";}else{$sqlfecha="";}
$siva19=0;$siva10=0;$siva5=0;$stg=0;$svg=0;
	$sumatpc=0;		$sumatpc=0;	$sumatga=0;
						$sumatgpv=0;					$sumatgpc=0;$ganancia=0;
include "../conexion.php";

$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura,nit,resolucion,email from parametros");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $nombre=$datosrs[0];
  $direccion=$datosrs[1];
  $telefono=$datosrs[2];
  $lema=$datosrs[3];
  $nombrefactura=$datosrs[4];
  $nit=$datosrs[5];
  $resolucion=$datosrs[6];
  $eemail=$datosrs[7];
 }
 
?>
<table width="100%" border="0">
  <tbody>
    <tr>
      <td width="10%">
            <table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
           <tr><td align="center" ><strong><?php echo $nombre; ?></strong></td></tr>  
            <tr>
              <td align="center" ><strong>NIT: <?php echo $nit; ?></strong></td>
            </tr>
            <tr>
              <td align="center" >Direccion: <strong><?php echo $direccion; ?></strong></td>
            </tr>
            <tr>
              <td align="center" ><strong><?php echo $telefono; ?></strong></td>
            </tr>
            <tr>
              <td align="center" ><strong>Email: <?php echo $eemail; ?></strong></td>
            </tr>
          </table>
      </td>
    </tr>
  </tbody>
</table><br><br>

<?php

echo "Fecha: ".date("d-d-Y")."<br><br><br>";

echo "Asunto: DETALLE DE VENTA POR MES <br><br><br>";

echo "<table width='100%' border='1' bordercolor='#000000' cellpadding='0' cellspacing='0'  >";
							echo "<tr>";
							echo "<td align='center'>Mes</td>";
							echo "<td align='center'>Año</td>";
							echo "<td align='center'>SUBTOTAL PRECIO VENTA</td>";
							echo "<td align='center'>SUBTOTAL PRECIO COMPRA</td>";
							echo "<td align='center'>TOTAL GANANCIA</td>";	
							echo "</tr>";

		$sql_datosmv=mysqli_query($conexion,"SELECT month(fecsis) as mes,year(fecsis) as ano,count(*) from venta
												where id>0
												$sqlfecha
												group by ano,mes
												order by ano,mes asc");
		while ($datosmv= mysqli_fetch_row($sql_datosmv))//04e
			{		
				  $mes=$datosmv[0];  
				  $ano=$datosmv[1];  
				  $sumaiva19=0;$sumaiva10=0;$sumaiva5=0;$sumatg=0;$sumat=0;
				  $sumatpv=0;$sumatpc=0;
				  $sql_datosvf=mysqli_query($conexion,"SELECT venta.producto,venta.cantidad,venta.precio,producto.linea,producto.preciounitario
				  									   from venta,producto
													    where venta.estado='F'
														and year(venta.fecsis)='".$ano."'
														and month(venta.fecsis)='".$mes."'
														and venta.producto=producto.id");
				   $sumaep=0;$sumaep=0;$spc=0;$sumavc=0;$sumaep=0;
				   while ($datosvf=mysqli_fetch_row($sql_datosvf))//04e
					    { 
							$producto=$datosvf[0];
							$cantidad=$datosvf[1];
							$precio=$datosvf[2];
							$linea=$datosvf[3];
							$preciounitario=$datosvf[4];
							
							$viva=0;$iva=0;
							$totalpv=$cantidad*$precio;
							$totalpc=$cantidad*$preciounitario;
							
							$sumatpv=$sumatpv+$totalpv;
							$sumatpc=$sumatpc+$totalpc;
							
					  }	//04
					$ganancia=$sumatpv-$sumatpc;
					 echo "<tr>
							  <td >$mes</td>
							  <td >$ano</td>
							  <td align='right' >".number_format($sumatpv)."</td>	
							  <td align='right'>".number_format($sumatpc)."</td>
							  <td align='right'>".number_format($ganancia)."</td>	
							</tr>";
					$sumatgpv=$sumatgpv+$sumatpv;
					$sumatgpc=$sumatgpc+$sumatpc;					
					$sumatgga=$sumatgga+$ganancia;
			}
		
		 echo "<tr>
					  <td ></td>
					  <td ></td>
					  <td align='right' >".number_format($sumatgpv)."</td>	
					  <td align='right' >".number_format($sumatgpc)."</td>	
					  <td align='right'>".number_format($sumatgga)."</td>	
					</tr>";			
								 
					echo "</table>";

?>
</body>
</html>